Bug 29318 - Modified Backport Request : six plugins for Opencpn
Summary: Modified Backport Request : six plugins for Opencpn
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 29309
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-01 12:43 CEST by Philippe Didier
Modified: 2021-09-19 03:26 CEST (History)
1 user (show)

See Also:
Source RPM: opencpn-5.2.4-2.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Philippe Didier 2021-08-01 12:43:10 CEST
this bug report has been splitted from this other one : https://bugs.mageia.org/show_bug.cgi?id=29309  but remains linked to it

Opencpn and its plugins already provided by Mageia8 need to be updated (being rebuilt with wxgtku3.0 instead od wxgtku3.1 which induced issues or segfaults)

After this update has been done, 6 plugins present in Cauldron, need to be backported :

3 inside Core Backport
- particularly opencpn-radar-plugin which increases the number of radars that can be displayed and replaces and obsoletes a limited previous plugin provided in Mageia8
- and opencpn-sar-plugin (Search And Rescue : its name explains its utility)
- and opencpn-route-plugin

3 inside Nonfree Backport
Last but not least, three necessary plugins (containing closed source binaries) couldn't be provided as nonfree rpms for Mageia8  because the developers had forgotten to explicitely allow their distribution ...
This problem has been solved and those plugins might be provided in the nonfree backport repository (they allow to display paid encrypted nautical charts)
- opencpn-oernc-plugin
- opencpn-oesenc-plugin
- opencpn-s63-plugin
Comment 1 Philippe Didier 2021-08-01 13:00:57 CEST
NB the opencpn-radar-plugin will obsolete a rpm provided in Mageia8 :
opencpn-br24radar-plugin 
no more needed since the backported rpm involves the br24 radars besides the new ones it allows to display
Comment 2 Lewis Smith 2021-08-01 21:02:41 CEST
Thank you for your work on this (linked to bug 29309).

This is for Barry as per that other bug.

Assignee: bugsquad => zen25000
Source RPM: opencpn-5.2.4-2 => opencpn-5.2.4-2.mga8.src.rpm

Comment 3 Barry Jackson 2021-08-02 23:24:12 CEST
(In reply to Lewis Smith from comment #2)
> Thank you for your work on this (linked to bug 29309).
> 
> This is for Barry as per that other bug.
Hi Lewis, I am here helping to steer the ship in the background, but Philippe is doing all the work on these two bugs and will hopefully then be in a position to maintain this suite of packages going forward :)
Comment 4 Philippe Didier 2021-08-04 11:11:05 CEST
List of the  backported rpms :

in core/backport :

- opencpn-radar-plugin-5.1.5-1.mga8.x86_64.rpm
  opencpn-radar-plugin-5.1.5-1.mga8.i586.rpm
from :
  opencpn-radar-plugin-5.1.5-1.mga8.src.rpm

- opencpn-route-plugin-1.2-1.mga8.x86_64.rpm
  opencpn-route-plugin-1.2-1.mga8.i586.rpm
from :
  opencpn-route-plugin-1.2-1.mga8.src.rpm

- opencpn-sar-plugin-2.6-2.mga8.x86_64.rpm
  opencpn-sar-plugin-2.6-2.mga8.i586.rpm
from :
  opencpn-sar-plugin-2.6-2.mga8.src.rpm


in nonfree/backport

- opencpn-oernc-plugin-1.2.5-3.mga8.x86_64.rpm
  opencpn-oernc-plugin-1.2.5-3.mga8.i586.rpm
from :
  opencpn-oernc-plugin-1.2.5-3.mga8.src.rpm

- opencpn-oesenc-plugin-4.2.15-6.mga8.x86_64.rpm
  opencpn-oesenc-plugin-4.2.15-6.mga8.i586.rpm
from :
  opencpn-oesenc-plugin-4.2.15-6.mga8.src.rpm

- opencpn-s63-plugin-1.17.1-3.mga8.x86_64.rpm
  opencpn-s63-plugin-1.17.1-3.mga8.i586.rpm
from :
  opencpn-s63-plugin-1.17.1-3.mga8.src.rpm
Comment 5 Barry Jackson 2021-08-04 15:15:07 CEST
Please don't assign to QA yet as it depends on 29309 which is still in preparation, we will assign it later.

Depends on: (none) => 29309

Philippe Didier 2021-08-06 17:03:18 CEST

Assignee: zen25000 => qa-bugs

Comment 6 Philippe Didier 2021-08-06 17:07:19 CEST
the backported rpms are now in
Core Backports Testing
and Nonfree Backports testing repositories

They may be tested besides the updates tested in 
https://bugs.mageia.org/show_bug.cgi?id=29309 
since they are recommended by the main opencpn package
Comment 7 Philippe Didier 2021-08-08 20:12:41 CEST
 It  seems to be better to provide an advisory 
               ____________________
               | BACKPORT ADVISORY |
               |___________________|

Preamble

 Opencpn and its plugins already provided by Mageia8 needed to be updated (being rebuilt with wxgtku3.0 instead od wxgtku3.1 which induced issues or segfaults)

After this update has been done, 6 plugins present in Cauldron, need to be backported :

######################################
3 packages inside Core Backport :

(they hadn't been submitted in time before the Mageia8's Cauldron was frozen)

====================================================
- opencpn-radar-plugin which increases the number of radars that can be displayed and replaces and obsoletes a limited previous plugin provided in Mageia8

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-radar-plugin-5.1.5-1.mga8.x86_64.rpm
  opencpn-radar-plugin-5.1.5-1.mga8.i586.rpm
from :
  opencpn-radar-plugin-5.1.5-1.mga8.src.rpm

===================================================
- and opencpn-sar-plugin (Search And Rescue : its name explains its utility)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-sar-plugin-2.6-2.mga8.x86_64.rpm
  opencpn-sar-plugin-2.6-2.mga8.i586.rpm
from :
  opencpn-sar-plugin-2.6-2.mga8.src.rpm


=================================================
- and opencpn-route-plugin  (this allows to draw orthodromic routes on the charts)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-route-plugin-1.2-1.mga8.x86_64.rpm
  opencpn-route-plugin-1.2-1.mga8.i586.rpm
from :
  opencpn-route-plugin-1.2-1.mga8.src.rpm


#######################################################################
3 packages inside Nonfree Backport :

Three necessary plugins (containing closed source binaries) couldn't be provided as nonfree rpms for Mageia8  because the developers had forgotten to explicitely allow their distribution ...
This problem has been solved and those plugins might be provided in the nonfree backport repository :
These plugins allow to display paid encrypted nautical charts necessary to navigate in some parts of the world (decryption with a password or an USB dongle)

==================================================
- opencpn-oernc-plugin (for raster charts purchased from O-charts.org)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-oernc-plugin-1.2.5-3.mga8.x86_64.rpm
  opencpn-oernc-plugin-1.2.5-3.mga8.i586.rpm
from :
  opencpn-oernc-plugin-1.2.5-3.mga8.src.rpm

=====================================================
- opencpn-oesenc-plugin (for vectorial charts purchased from O-charts.org)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-oesenc-plugin-4.2.15-6.mga8.x86_64.rpm
  opencpn-oesenc-plugin-4.2.15-6.mga8.i586.rpm
from :
  opencpn-oesenc-plugin-4.2.15-6.mga8.src.rpm

========================================================
- opencpn-s63-plugin

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages (for vectorial charts purchased from s63 charts providers)

- opencpn-s63-plugin-1.17.1-3.mga8.x86_64.rpm
  opencpn-s63-plugin-1.17.1-3.mga8.i586.rpm
from :
  opencpn-s63-plugin-1.17.1-3.mga8.src.rpm
Thomas Backlund 2021-08-12 19:47:58 CEST

Component: RPM Packages => Backports

Comment 8 Herman Viaene 2021-08-16 14:41:14 CEST
MGA8-64 Plasma on Lenovo B50
Installing the packages above draw in a load of others, did not check what they were.
So after installation I found that opencpn plus others are installed, not sure why since I al totally unfamiliar with this thinghy.
Launched opencpn and was presented with a rude world map which I can zoom in, but no details. Found in the settings I could download maps and selected the Belgian-inland map. That resulted in a turning circle in the main window, and after more than 15 minutes a completely frozen system, the mouse pointer moves, but that's about it.

CC: (none) => herman.viaene

Comment 9 Herman Viaene 2021-08-16 14:59:37 CEST
Rebooted and now the dialogue on the maps go thru, but I don't see anything on the main window itself.
And BTW in the "options -plugins" I get the message for the installed plugins "Obsolete- need a new version".
Comment 10 Philippe Didier 2021-08-16 16:48:05 CEST
Hi Herman

The backported packages need to be installed after that  opencpn and all its plugins from Core  have been first updated from core-updates-testing repo...
(that's why loads of other packages were drawn when you installed the backported packages)

There's a warning during the installation of these updates informing that you need to erase or rename the previous hidden configuration folder if you had already used the previous buggy version : 
this folder is /home/yourusername/.opencpn

The message telling that the installed plugins are obsolete is certainly caused by this folder that had been created with the previous version or by the fact that you installed the backported packages before the updated ones

NB the 3 nonfree-backported plugins :
(opencpn-oernc-plugin, opencpn-oesenc-plugin, opencpn-s63-plugin) 
allow you to display encrypted charts ... if you didn't buy the decryption key or usb dongle, you'll never be able to display those charts even if you download them 

The core-backported plugins must be installed and tested after having updated the opencpn staff.


The best way to test this stuff :

1)  uninstall opencpn and all the opencpn-*-plugin.
2) erase /home/yourusername/.opencpn
3) install opencpn and its plugins from the core repo
4) update them from the core-updates-testing repo
5) Launch opencpn :  
6) activate the plugins
7) the rude map is just a canvas where will be put the precise charts you own or get (free or paid charts)
to download a free chart, you may find instructions in this comment and following ones https://bugs.mageia.org/show_bug.cgi?id=29309#c6


Then, and only then, you may test the backported packages 

8) The 3 plugins in core-backports-testing may be installed and tested 
(the opencpn-radar-plugin will uninstall the previous opencpn-br24radar-plugin)


9) The 3 plugins from the nonfree-backports-testing repo may only be installed... but not totally tested unless paying a decryption key or usb-dongle : 
don't download any charts from O-charts.org or any other commercial charts source !
you may get display problem when opencpn will look for the decryption key...
    You can only verify that their 3 tabs appear in the "Charts" window that you opened by clicking the Charts tab in the setting window (click on the gear wheel to open this setting window)

It's a huge program and it's useable and precise to navigate (it's better to use the packages from Mageia than the Flatpak version that is not yet OK)
Comment 11 Herman Viaene 2021-08-20 14:44:47 CEST
Removed all opencpn and reinstalled opencpn drom core repos, then added the backports.
Started opencpn, opened Options- Plugins and enabled the plugins oneby one. When clicking open-oernc-plugin , opencpn crashed.
 oernc_pi::No Dongle detected
Segmentationfault (memory dump made).
Restarted opencpn, went back to plugins and list of plugins is empty. Found no way anymore to download maps.
Comment 12 Philippe Didier 2021-08-20 17:57:08 CEST
Hi Herman

(I use Mageia8_64 Plasma too)
We have worked a lot to understand why there were segfaults with the rpms from Core... And you have apparently reproduced the bug that we have corrected : segfaults when activating some plugins... with the rpms from Core-repo

your OpenCPN needs to be updated !

I think you jumped a step :

1)  uninstall opencpn and all the opencpn-*-plugin.

2) erase /home/yourusername/.opencpn

3) install opencpn and its plugins from the core repo

But you seem to have forgotten the 4th step

4) update them from the core-updates-testing repo  !!! 


That is certainly the reason why opencpn crashes for you 

The opencpn rpm and the opencpn-*-plugin rpms from the core repo for Mageia8 had been erroneously rebuilt with wxgtku3.1 when they absolutely need wxgtku3.0...
That caused segfaults with some plugins ! and polluted the hidden configuration folder which may cause segfaults too 

That's the reason why we rebuilt them and propose them in core-updates-testing

You must absolutely have updated  OpenCPN and its plugins by  activating the 
 core-updates-testing repo in rpmdrake ...

That's only when it's updated and launched a first time, that you may add the backported rpms


Follow strictly the procedure as explained in 
https://bugs.mageia.org/show_bug.cgi?id=29318#c10

You will get a working opencpn
Philippe Didier 2021-09-02 16:49:14 CEST

Summary: Backport Request : six plugins for Opencpn => Modified Backport Request : six plugins for Opencpn

Comment 13 Philippe Didier 2021-09-02 17:17:04 CEST
Now that the updates of the main package and plugins of OpenCPN have been validated and are in /core/updates repository ,  the Backports are easier to test

By the way, as those packages have not yet been validated, I updated two nonfree packages (opencpn-s63-plugin and opencpn-oesenc-plugin) to test

NB 
OpenCPN is a huge program and it's useable and precise to navigate 
(for now it's better to use the packages from Mageia than the Flatpak version that is still a work in progress)

6 Backports to test


######################################
3 packages inside Core Backport :

(they hadn't been submitted in time before the Mageia8's Cauldron was frozen)

====================================================
- opencpn-radar-plugin which increases the number of radars that can be displayed and replaces and obsoletes a limited previous plugin provided in Mageia8

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-radar-plugin-5.1.5-1.mga8.x86_64.rpm
  opencpn-radar-plugin-5.1.5-1.mga8.i586.rpm
from :
  opencpn-radar-plugin-5.1.5-1.mga8.src.rpm

===================================================
- and opencpn-sar-plugin (Search And Rescue : its name explains its utility)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-sar-plugin-2.6-2.mga8.x86_64.rpm
  opencpn-sar-plugin-2.6-2.mga8.i586.rpm
from :
  opencpn-sar-plugin-2.6-2.mga8.src.rpm


=================================================
- and opencpn-route-plugin  (this allows to draw orthodromic routes on the charts)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-route-plugin-1.2-1.mga8.x86_64.rpm
  opencpn-route-plugin-1.2-1.mga8.i586.rpm
from :
  opencpn-route-plugin-1.2-1.mga8.src.rpm


#######################################################################
3 packages inside Nonfree Backport :

Three necessary plugins (containing closed source binaries) couldn't be provided as nonfree rpms for Mageia8  because the developers had forgotten to explicitely allow their distribution ...
This problem has been solved and those plugins might be provided in the nonfree backport repository :
These plugins allow to display paid encrypted nautical charts necessary to navigate in some parts of the world (decryption with a password or an USB dongle)

==================================================
- opencpn-oernc-plugin (for raster charts purchased from O-charts.org)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-oernc-plugin-1.2.5-3.mga8.x86_64.rpm
  opencpn-oernc-plugin-1.2.5-3.mga8.i586.rpm
from :
  opencpn-oernc-plugin-1.2.5-3.mga8.src.rpm

=====================================================
- opencpn-oesenc-plugin (for vectorial charts purchased from O-charts.org)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages

- opencpn-oesenc-plugin-4.2.17-1.mga8.x86_64.rpm
  opencpn-oesenc-plugin-4.2.17-1.mga8.i586.rpm
from :
  opencpn-oesenc-plugin-4.2.17-1.mga8.src.rpm

========================================================
- opencpn-s63-plugin

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
concerned packages (for vectorial charts purchased from s63 charts providers)

- opencpn-s63-plugin-1.17.6-1.mga8.x86_64.rpm
  opencpn-s63-plugin-1.17.6-1.mga8.i586.rpm
from :
  opencpn-s63-plugin-1.17.6-1.mga8.src.rpm

#########################################################################
Procedure

You must have first updated opencpn to 5.2.4-2.2 (from core/updates)

1) The 3 plugins in core-backports-testing may be installed and tested 
(the opencpn-radar-plugin will uninstall the previous opencpn-br24radar-plugin)

They must appear in the plugins tab from the setting window (click on the gear wheel to open the setting window click) if you activate them their icon will appear in the icon tray


2) The 3 plugins from the nonfree-backports-testing repo may only be installed... but not totally tested unless paying a decryption key or usb-dongle : 
don't download any charts from O-charts.org or any other commercial charts source !
you may get display problem when opencpn will look for the decryption key...

    You can only verify that their 3 tabs appear in the "Charts" window that you opened by clicking the Charts tab in the setting window (click on the gear wheel to open this setting window)
Comment 14 Philippe Didier 2021-09-19 03:16:52 CEST
Hi
I don't know if my own testing have any value because I'm the packager...

Nevertheless I tested those backported rpms from the backports-testing repositories (core and nonfree)
after having first installed opencpn and its plugins from core repository and then updated them from core updates repo.

Everything went fine on Mageia8 64bits and Mageia8 32bits (on an old Compaq Mini 311 that I use to navigate)

1) The rpms from core backports-testing appears in the icons tray (the radar-plugin uninstalls the previous opencpn-br24radar-plugin)

2) I could test the nonfree plugins but I won't ask to anybody from the QA team to pay for this test (unless he wants to navigate near countries where there are no free nautical charts ):
I bought a USB dongle and paid for nautical charts from O-charts.org for French and Italian coasts of Mediterranean sea :
I could copy those charts on three computers and use those charts on each computer after having plugged the USB dongle 
(that's the most flexible way to use those charts, because the decryption key is not linked and hard coded to one computer and its OS : you can carry those paid charts in a USB stick and use them on any computer if you plug the dongle they are linked to,  but you can't use them if the dongle is not plugged before launching OpenCPN )

NB the USB dongle works with both Mageia8 32bits and Mageia8 64bits versions of OpenCPN


for me it's OK for Mageia8.x86_64 and Mageia8.i586
Comment 15 Philippe Didier 2021-09-19 03:26:38 CEST
PS 
I can plug a cheap cabled USB GPS receiver (36€) to any computer to see the boat position on the chart that OpenCPN displays and choose to center this display on the boat or on the mouse cursor...

Note You need to log in before you can comment on or make changes to this bug.